package projectzombie.menu.gui.components;

import gl_engine.vec.Vec2d;
import projectzombie.Main;
import projectzombie.menu.MenuSettings;
import projectzombie.menu.gui.GUIButtonGroup;

public class ButtonGroupPause extends GUIButtonGroup
{
	public ButtonGroupPause()
	{
		add(new ButtonBasic("Settings", button -> {
			Main.menu.input.mousePos(new Vec2d(0, 0));
			Main.menu = new MenuSettings(Main.menu);
		}));
		
		setPos(new Vec2d(0, -2));
	}
}
